org.eclipse.gef.zest.fx.handlers

## Class OpenNestedGraphOnDoubleClickHandler

- java.lang.Object
- - org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends javafx.scene.Node>>
  - - org.eclipse.gef.mvc.fx.handlers.AbstractHandler
    - - org.eclipse.gef.zest.fx.handlers.OpenNestedGraphOnDoubleClickHandler

All Implemented Interfaces:
  IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>, org.eclipse.gef.mvc.fx.handlers.IHandler, org.eclipse.gef.mvc.fx.handlers.IOnClickHandler

    public class OpenNestedGraphOnDoubleClickHandler
    extends org.eclipse.gef.mvc.fx.handlers.AbstractHandler
    implements org.eclipse.gef.mvc.fx.handlers.IOnClickHandler

The `OpenNestedGraphOnDoubleClickHandler` is an `IOnClickHandler` that can be installed on `NodePart`s (see `getHost()`). It opens the `Graph` that is nested inside of its `NodePart` when the `NodePart` is double clicked.

### Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Constructor Summary

Constructors
Constructor and Description
`OpenNestedGraphOnDoubleClickHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `click(javafx.scene.input.MouseEvent event)`
`NodePart` `getHost()`

### Methods inherited from class org.eclipse.gef.mvc.fx.handlers.AbstractHandler

`commit, execute, init, isRegistered, isRegisteredForHost, restoreRefreshVisuals, rollback, storeAndDisableRefreshVisuals`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Constructor Detail

#### OpenNestedGraphOnDoubleClickHandler

    public OpenNestedGraphOnDoubleClickHandler()

### Method Detail

#### click

    public void click(javafx.scene.input.MouseEvent event)

Specified by:
  `click` in interface `org.eclipse.gef.mvc.fx.handlers.IOnClickHandler`

#### getHost

    public NodePart getHost()

Specified by:
  `getHost` in interface `org.eclipse.gef.mvc.fx.handlers.IHandler`
Overrides:
  `getHost` in class `org.eclipse.gef.mvc.fx.handlers.AbstractHandler`